| GET | /RestApi/translations/translations/actualSourceLanguages/default |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
public class dtos
{
public static class GetTranslationsDefaultActualSourceLanguage implements ITranslationsFilter
{
public ArrayList<String> Type = null;
public String SearchText = null;
public String ActualSourceLanguage = null;
public ArrayList<String> TargetLanguage = null;
public ArrayList<String> Service = null;
public ArrayList<TranslationStatus> TranslationStatus = null;
public ArrayList<String> Status = null;
public ArrayList<UUID> ProjectIds = null;
public Date StartDate = null;
public Date EndDate = null;
public Boolean ErrorsOnly = null;
public ArrayList<String> getType() { return Type; }
public GetTranslationsDefaultActualSourceLanguage setType(ArrayList<String> value) { this.Type = value; return this; }
public String getSearchText() { return SearchText; }
public GetTranslationsDefaultActualSourceLanguage setSearchText(String value) { this.SearchText = value; return this; }
public String getActualSourceLanguage() { return ActualSourceLanguage; }
public GetTranslationsDefaultActualSourceLanguage setActualSourceLanguage(String value) { this.ActualSourceLanguage = value; return this; }
public ArrayList<String> getTargetLanguage() { return TargetLanguage; }
public GetTranslationsDefaultActualSourceLanguage setTargetLanguage(ArrayList<String> value) { this.TargetLanguage = value; return this; }
public ArrayList<String> getService() { return Service; }
public GetTranslationsDefaultActualSourceLanguage setService(ArrayList<String> value) { this.Service = value; return this; }
public ArrayList<TranslationStatus> getTranslationStatus() { return TranslationStatus; }
public GetTranslationsDefaultActualSourceLanguage setTranslationStatus(ArrayList<TranslationStatus> value) { this.TranslationStatus = value; return this; }
public ArrayList<String> getStatus() { return Status; }
public GetTranslationsDefaultActualSourceLanguage setStatus(ArrayList<String> value) { this.Status = value; return this; }
public ArrayList<UUID> getProjectIds() { return ProjectIds; }
public GetTranslationsDefaultActualSourceLanguage setProjectIds(ArrayList<UUID> value) { this.ProjectIds = value; return this; }
public Date getStartDate() { return StartDate; }
public GetTranslationsDefaultActualSourceLanguage setStartDate(Date value) { this.StartDate = value; return this; }
public Date getEndDate() { return EndDate; }
public GetTranslationsDefaultActualSourceLanguage setEndDate(Date value) { this.EndDate = value; return this; }
public Boolean isErrorsOnly() { return ErrorsOnly; }
public GetTranslationsDefaultActualSourceLanguage setErrorsOnly(Boolean value) { this.ErrorsOnly = value; return this; }
}
public static enum TranslationStatus
{
Marked(101),
Sending(201),
Sent(202),
Received(301),
Importing(302),
Imported(303),
Completed(304),
Archived(401),
Deleted(402),
Rejected(403),
SendingError(501),
ImportingError(502),
ReceivingError(503);
private final int value;
TranslationStatus(final int intValue) { value = intValue; }
public int getValue() { return value; }
}
public static class LanguageProxy
{
public String Code = null;
public String Name = null;
public Integer Count = null;
public String getCode() { return Code; }
public LanguageProxy setCode(String value) { this.Code = value; return this; }
public String getName() { return Name; }
public LanguageProxy setName(String value) { this.Name = value; return this; }
public Integer getCount() { return Count; }
public LanguageProxy setCount(Integer value) { this.Count = value; return this; }
}
}
Java GetTranslationsDefaultActualSourceLanguage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/translations/actualSourceLanguages/default HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"Code":"String","Name":"String","Count":0}